package com.ebaiyihui.family.doctor.common.vo.cloudHis;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author lc
 * @date 2024/03/27
 * @description
 */
@Data
public class DiagnosticDetailReqDTO {
    @ApiModelProperty(value = "【诊断传】诊断")
    private String diagnosis;

    @ApiModelProperty(value = "【诊断传】icd编码")
    private String icdCode;

    @ApiModelProperty(value = "【国家医保诊断传】国家医保诊断")
    private String hsDiagnosis;

    @ApiModelProperty(value = "【国家医保诊断传】国家医保诊断代码")
    private String hsIcdCode;

    @ApiModelProperty(value = "【门诊慢特病诊断传】门诊慢特病诊断")
    private String cdDiagnosis;

    @ApiModelProperty(value = "【门诊慢特病诊断传】门诊慢特病诊断代码")
    private String cdIcdCode;

    @ApiModelProperty(value = "是否疑似")
    private Integer isSusiected;

    @ApiModelProperty(value="诊断类型[1.中医 2.西医]")
    private Integer diagnosticType;

    @ApiModelProperty(value="区域医保名称")
    private String regionalMedicalInsuranceName;

    @ApiModelProperty(value="区域医保编码")
    private String regionalMedicalInsuranceCode;

}
